## qt6-virtualkeyboard 6.9.1

=== debian/changelog ===
qt6-virtualkeyboard (6.9.1-0zneon+24.04+noble+stable+build15) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 10 Jul 2025 00:11:55 +0000

qt6-virtualkeyboard (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 00:51:11 +1000

qt6-virtualkeyboard (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 01 May 2025 23:37:45 +1000

qt6-virtualkeyboard (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:29:22 +1000

qt6-virtualkeyboard (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:57:58 +1000

qt6-virtualkeyboard (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 08:30:43 +1000

qt6-virtualkeyboard (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 21:37:20 +1000

qt6-virtualkeyboard (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 00:28:09 +1000

qt6-virtualkeyboard (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 10 Dec 2023 18:36:01 +1000

qt6-virtualkeyboard (6.4.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libqt6virtualkeyboard6-dev to qt6-virtualkeyboard-dev.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Nov 2022 23:42:01 +0100

qt6-virtualkeyboard (6.4.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Nov 2022 01:17:56 +0100
