## qt6-virtualkeyboard 6.9.1+dfsg

=== src/plugins/cerence/xt9/CMakeLists.txt ===
add_subdirectory(plugin)
add_subdirectory(xt9common)
