=== debian/changelog ===
qt6-virtualkeyboard (6.9.1+dfsg-2) experimental; urgency=medium

  * Install missing cmake-files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Aug 2025 23:36:20 +0200

qt6-virtualkeyboard (6.9.1+dfsg-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Drop reference to Qt 5 in package description.

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update lintian-overrides.
  * Remove inactive uploaders, thank you for your work.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Aug 2025 12:05:10 +0200
