## qt6-virtualkeyboard 6.9.2

=== debian/changelog ===
qt6-virtualkeyboard (6.9.2-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 30 Aug 2025 01:47:49 +0000

qt6-virtualkeyboard (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 15:49:45 +1000
